Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lidotocidoc
Class parserOfLidoFile

    java.lang.Object
      lidotocidoc.parserOfLidoFile

    public class parserOfLidoFile

extends java.lang.Object

Constructor Summary
`parserOfLidoFile(parserOfMapping dpm, java.lang.String file)`

Method Summary
`void` | `createTriples(parserOfMapping dpm, java.lang.String nodeName, java.lang.String nodeValue, org.w3c.dom.Element element, gr.forth.ics.swkm.model2.Model model, java.lang.String file)`
`java.util.ArrayList` | `getDom()`
`org.w3c.dom.Document` | `parserXML(java.io.File file)`
`void` | `printList()`
`void` | `transform(parserOfMapping dpm, java.lang.String InputLidofile, java.lang.String destinationPath)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### parserOfLidoFile

    public parserOfLidoFile(parserOfMapping dpm,
                            java.lang.String file)

Method Detail

### transform

    public void transform(parserOfMapping dpm,
                          java.lang.String InputLidofile,
                          java.lang.String destinationPath)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### parserXML

    public org.w3c.dom.Document parserXML(java.io.File file)
                                   throws org.xml.sax.SAXException,
                                          java.io.IOException,
                                          javax.xml.parsers.ParserConfigurationException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`

### printList

    public void printList()

### createTriples

    public void createTriples(parserOfMapping dpm,
                              java.lang.String nodeName,
                              java.lang.String nodeValue,
                              org.w3c.dom.Element element,
                              gr.forth.ics.swkm.model2.Model model,
                              java.lang.String file)

### getDom

    public java.util.ArrayList getDom()

  Returns:
    ton pinaka pou periexei ola ta pedia apo to museumdat file kai ta periexomena tous

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD